﻿.form-control:not(:focus),
.input-group-append .input-group-text {
    border: solid 1px #adb5bd !important;
}

.form-control.input-validation-error,
.form-control.error,
.form-control.input-validation-error + .select2-container .selection .select2-selection,
.bootstrap-select > .input-validation-error + .dropdown-toggle.btn-light,
.bootstrap-select > .error + .dropdown-toggle.btn-light {
    border-color: #F64E60 !important;
}

.form-control-xs {
    height: 25px;
    padding: 0.45rem 0.5rem;
    font-size: 0.86rem;
    border-radius: 0.28rem;
}

.filter-option-inner-inner {
    text-overflow: ellipsis;
}
/*Custom Boostrap Select*/
.dropdown-menu {
    width: auto !important;
}

.bootstrap-select .dropdown-toggle {
    border: none !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    display: block !important;
    padding-right: 15px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered .select2-selection__clear {
    top: 45% !important;
}

.bootstrap-select > .dropdown-toggle:after {
    margin-right: 0
}

select.form-control + .dropdown-toggle {
    height: calc(1.5em + 1.3rem + 2px);
    padding: 0.65rem 1rem;
}

select.form-control-lg + .dropdown-toggle {
    height: calc(1.5em + 1.65rem + 2px);
    padding: 0.825rem 1.42rem;
}

select.form-control-sm + .dropdown-toggle {
    height: calc(1.35em + 1.1rem + 2px);
    padding: 0.50rem 1rem !important;
}

select.form-control-xs + .dropdown-toggle {
    height: 25px;
    padding: 0.20rem 1rem;
    border-radius: 0.28rem;
}

select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu .selected,
.bootstrap-select .dropdown-menu.show ul.dropdown-menu .selected,
.select2-container--default .select2-results__option[aria-selected=true] {
    background: #E3F2FD !important;
}

    select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu .selected .text,
    .bootstrap-select .dropdown-menu.show ul.dropdown-menu .selected .text,
    .select2-container--default .select2-results__option[aria-selected=true] {
        color: #000;
    }

select.form-control + .dropdown-toggle .filter-option {
    margin-top: 2px;
    font-size: 1rem;
    color: rgb(63, 66, 84) !important;
}

select.form-control-lg + .dropdown-toggle .filter-option {
    margin-top: 9px;
    font-size: 1.08rem;
    color: rgb(63, 66, 84) !important;
}

select.form-control-sm + .dropdown-toggle .filter-option {
    font-size: 0.925rem;
    color: rgb(63, 66, 84) !important;
}

select.form-control-xs + .dropdown-toggle .filter-option {
    font-size: 0.86rem;
    color: rgb(63, 66, 84) !important;
}

select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-item,
.bootstrap-select .dropdown-menu.show ul.dropdown-menu .dropdown-item {
    padding: 7px 15px;
    font-size: 1rem;
}

select.form-control-lg + .dropdown-toggle + .dropdown-menu .dropdown-item,
.bootstrap-select.-lg .dropdown-menu.show ul.dropdown-menu .dropdown-item {
    padding: 10px 15px !important;
    font-size: 1.08rem !important;
}

select.form-control-sm + .dropdown-toggle + .dropdown-menu .dropdown-item,
.bootstrap-select.-sm .dropdown-menu.show ul.dropdown-menu .dropdown-item {
    padding: 5px 15px !important;
    font-size: 0.925rem !important;
}

select.form-control-xs + .dropdown-toggle + .dropdown-menu .dropdown-item,
.bootstrap-select.-xs .dropdown-menu.show ul.dropdown-menu .dropdown-item {
    padding: 4px 15px !important;
    font-size: 0.86rem !important;
}

.btn.btn-light:hover:not(.btn-text):not(:disabled):not(.disabled),
.btn.btn-light:focus:not(.btn-text),
.btn.btn-light.focus:not(.btn-text) {
    border-color: #adb5bd;
}

.bs-searchbox [type="search"],
.select2-search__field {
    height: calc(1.35em + 1.1rem + 2px);
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.28rem;
}

.bootstrap-select .dropdown-menu {
    padding: 0.5rem 0 0.5rem 0;
}

.filter-option-inner-inner i {
    padding: 0;
}
/*Bootstrap select with icon*/
select.icon-bootstrap-select + .dropdown-toggle {
    padding-left: 0.75rem !important;
}

.eps-icon-container .icon-text {
    position: absolute;
    color: #fff;
    font-size: 7px;
    top: 4px;
    left: 1.5px;
}

.eps-icon-container.eps-lg .icon-text {
    font-size: 7px;
    top: 4px;
    left: 1.5px;
}

.eps-icon-container.eps-sm .icon-text {
    font-size: 7px;
    top: 4px;
    left: 1.5px;
}


select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu .selected .eps-icon-container .icon-text,
.bootstrap-select .dropdown-menu.show ul.dropdown-menu .selected .eps-icon-container .icon-text {
    color: #3699FF;
}

.filter-option .icon-text {
    top: 7px;
    left: 1px;
}
/*Custom select2*/

select.form-control-sm + .select2-container--default .select2-selection--single .select2-selection__rendered {
    font-size: 1rem;
}

select.form-control-lg + .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 2;
    font-size: 1.08rem;
}

select.form-control-sm + .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 1.2;
    font-size: 0.925rem;
}

.select2-container--default .select2-selection--single,
.select2-container--default .select2-selection--multiple {
    border: 1px solid #adb5bd;
}

select.form-control-sm + .select2-container--default .select2-selection--single,
select.form-control-sm + .select2-container--default .select2-selection--multiple {
    border-radius: 0.28rem;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder,
.select2-container--default .select2-selection--multiple .select2-selection__placeholder {
    color: rgb(63, 66, 84) !important;
}

select.form-control + .select2-container--default .select2-selection--single .select2-selection__placeholder,
select.form-control + .select2-container--default .select2-selection--multiple .select2-selection__placeholder,
select.form-control + .select2-container--default .select2-results__option[aria-selected="true"] {
    font-size: 1rem;
}

select.form-control-lg + .select2-container--default .select2-selection--single .select2-selection__placeholder,
select.form-control-lg + .select2-container--default .select2-selection--multiple .select2-selection__placeholder,
select.form-control-lg + .select2-container--default select2-results__options li.select2-results__option {
    font-size: 1.08rem;
}

select.form-control-sm + .select2-container--default .select2-selection--single .select2-selection__placeholder,
select.form-control-sm + .select2-container--default .select2-selection--multiple .select2-selection__placeholder,
select.form-control-sm + .select2-container--default li.select2-results__option {
    font-size: 0.925rem !important;
}

select.form-control-xs + .select2-container--default .select2-selection--single .select2-selection__placeholder,
select.form-control-xs + .select2-container--default .select2-selection--multiple .select2-selection__placeholder,
select.form-control-xs + .select2-container--default li.select2-results__option {
    font-size: 0.86rem;
}

.select2-container--default .select2-selection--single .select2-selection__rendered .select2-selection__clear::after {
    font-size: 0.5rem;
}

.select2-container--default .select2-results__options {
    padding: 0 0 0.65rem 0;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding: 0.65rem 3rem 0.65rem 1rem;
}

[id^='select2-select2-lg-'] .select2-results__option {
    font-size: 1.08rem;
    padding: 9.5px 15px !important;
}

[id^='select2-select2-nm-'] .select2-results__option {
    font-size: 1rem;
    padding: 7.5px 15px !important;
}

[id^='select2-select2-sm-'] .select2-results__option {
    font-size: 0.925rem;
    padding: 4.5px 15px !important;
}

/*Clear Icon*/

.form-control + .close {
    position: absolute;
    right: 23px;
}

.bootstrap-select .close {
    position: absolute;
    right: 35px;
    top: 10px;
}

    .form-control + .close i:before,
    .bootstrap-select .close i:before {
        font-size: 0.5rem;
    }

.form-control + .close,
.bootstrap-select.form-control .close {
    top: 7px;
}

.form-control-lg + .close,
.bootstrap-select.form-control-lg .close {
    top: 10px !important;
}

.form-control-sm + .close,
.bootstrap-select.form-control-sm .close {
    top: 4px !important;
}

.form-control-xs + .close,
.bootstrap-select.form-control-xs .close {
    top: 0 !important;
}

.search-bar .form-control-sm + .close {
    right: 10px;
}

.bootstrap-select.form-control-sm .close {
    top: 3px;
}

/*Sellect2 with tagging*/
.form-control-lg.select2 + .select2-container .selection .select2-selection--multiple,
.form-control-lg.select2 + .select2-container .selection .select2-selection--single {
    height: calc(1.5em + 1.65rem + 3px) !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered .select2-selection__choice,
.select2-container--default .select2-selection--single .select2-selection__rendered .select2-selection__choice {
    margin: 0.6rem 0.4rem 0.5rem 0;
}

.select2-results__options .select2-results__option,
select[multiple].form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu li,
.bootstrap-select .dropdown-menu .dropdown-menu li {
    margin-bottom: 2px !important;
}

.select2-results__options[aria-multiselectable="true"] .select2-results__option[aria-selected="true"],
.bootstrap-select [multiple] .dropdown-menu.show ul.dropdown-menu .selected,
select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu .selected {
    background-color: #E3F2FD !important;
    color: #000;
}

    /*Multiselect*/
    select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu .selected span.text {
        color: #000;
    }

select.form-control + .dropdown-toggle + .dropdown-menu .dropdown-menu span.check-mark,
.bootstrap-select.bs-container:not(.datatable-pager-size) .dropdown-menu.inner > li.selected > a .check-mark {
    top: 5px;
    left: -3px;
    position: relative;
    margin-right: 5px;
    border: #3699FF 2px solid;
    height: 20px;
    width: 20px;
}

.bootstrap-select .dropdown-menu.inner > li.selected > a .check-mark:before {
    font-family: 'Flaticon2';
    content: "\f1af";
    color: #3699FF;
    font-size: 12px !important;
    padding: 2px;
    position: absolute;
}

.bootstrap-select [multiple] + .dropdown-toggle + .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text:before,
.bootstrap-select.bs-container:not(.datatable-pager-size) .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text:before {
    content: "";
    border: 2px solid #187DE4;
    position: absolute;
    min-height: 20px;
    min-width: 20px;
    left: 12px;
}

.bootstrap-select [multiple] + .dropdown-toggle + .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text,
.bootstrap-select.bs-container:not(.datatable-pager-size) .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text {
    margin-left: 25px;
}

.bootstrap-select.-sm .dropdown-menu.inner > li.selected > a .check-mark:before {
    font-size: 9px !important;
    padding: 1.5px;
}

select.form-control-sm + .dropdown-toggle + .dropdown-menu .dropdown-menu span.check-mark,
.bootstrap-select.-sm.bs-container:not(.datatable-pager-size) .dropdown-menu.inner > li.selected > a .check-mark {
    top: 4px;
    left: -3px;
    height: 16px;
    width: 16px;
}

.bootstrap-select.form-control-sm [multiple] + .dropdown-toggle + .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text:before,
.bootstrap-select.-sm.bs-container:not(.datatable-pager-size) .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text:before {
    min-height: 16px;
    min-width: 16px;
    left: 12px;
    top: 5.5px;
}

.bootstrap-select.form-control-sm [multiple] + .dropdown-toggle + .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text,
.bootstrap-select.-sm.bs-container:not(.datatable-pager-size) .dropdown-menu.show ul.dropdown-menu li:not(.selected) > a .check-mark + span.text {
    margin-left: 21px;
}

/*Status Control*/
.stv-radio-button {
    position: absolute;
    z-index: -9999;
}

    .stv-radio-button + label {
        float: left;
        padding: 0.5em 1em;
        cursor: pointer;
        border: 1px solid #adb5bd;
        font-weight: 500;
        padding: 0.825rem 1.42rem;
        font-size: 1rem;
    }

.stv-radio-button-sm + label {
    padding: 0.2rem 0.7rem;
}


.stv-radio-button + label:hover {
    border: 1px solid #adb5bd !important;
}

.stv-radio-button + label:first-of-type {
    border-radius: 1.5em 0 0 1.5em;
}

.stv-radio-button + label:last-of-type {
    border-radius: 0 1.5em 1.5em 0;
}

.stv-radio-button + label:not(:first-of-type):not(:last-of-type) {
    border-radius: 0;
    border-left: none !important;
    border-right: none !important;
}

.stv-radio-button:checked:not(:disabled) + label:not(:hover),
.stv-radio-button:checked:not(:disabled) + label:not(:hover) > * {
    color: #fff !important;
}

.stv-radio-button:checked + label.btn-text-success {
    background: #1BC5BD;
}

.stv-radio-button:checked:not(:disabled) + label.btn-text-info {
    background: #8950FC;
}

.stv-radio-button:checked + label.btn-text-danger {
    background: #F64E60;
}

.stv-radio-button:disabled + label {
    background: #F3F6F9;
    color: #B5B5C3 !important;
    pointer-events: none;
    cursor: not-allowed;
}

    .stv-radio-button:disabled + label > * {
        color: #B5B5C3 !important
    }

.select2-container .select2-search--inline .select2-search__field {
    margin-top: 0;
    font-size: 14px;
}

.fc-unthemed .fc-toolbar .fc-button.fc-button-active,
.fc-unthemed .fc-toolbar .fc-button.fc-button-active:focus,
.fc-unthemed .fc-toolbar .fc-button.fc-button-active:active {
    border: 1px solid #3F4254;
}

.fc-unthemed .fc-toolbar .fc-button:focus,
.fc-unthemed .fc-toolbar .fc-button:active,
.fc-unthemed .fc-toolbar .fc-button.fc-button-active {
    background: #3F4254 !important;
}

.fc-unthemed .fc-toolbar .fc-button,
.fc-unthemed .fc-toolbar .fc-button .fc-icon,
.fc-unthemed .fc-toolbar .fc-button:hover {
    color: #000 !important;
}

    .fc-unthemed .fc-toolbar .fc-button.fc-button-active:hover,
    .fc-unthemed .fc-toolbar .fc-button.fc-button-active,
    .fc-unthemed .fc-toolbar .fc-button:focus,
    .fc-unthemed .fc-toolbar .fc-button:active,
    .fc-unthemed .fc-toolbar .fc-button:focus .fc-icon,
    .fc-unthemed .fc-toolbar .fc-button:active .fc-icon {
        color: #fff !important;
    }

.fc-unthemed .fc-event .fc-content:before,
.fc-unthemed .fc-event-dot .fc-content:before {
    display: none;
}

.fc-unthemed .fc-event .fc-content,
.fc-unthemed .fc-event-dot .fc-content {
    padding: 0 0 0 0.50rem;
    line-height: 25px;
}

.spinner.spinner-xs:before {
    width: 1rem;
    height: 1rem;
    margin-top: -0.5rem;
}

.bootstrap-timepicker-widget.dropdown-menu.open {
    display: inline-block !important;
}

.bootstrap-datetimepicker-widget .picker-switch.accordion-toggle {
    padding: 0 !important;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    width: unset !important;
}

.bootstrap-datetimepicker-widget .timepicker .timepicker-picker table td span {
    height: 30px;
    width: 30px;
}

.outline-radio-list label.radio {
    border: solid 2px #D1D3E0;
    width: 300px;
}

    .outline-radio-list label.radio [type="radio"]:checked + span:before {
        font-family: "Font Awesome 5 Free";
        content: "\f058";
        display: inline-block;
        padding-right: 3px;
        vertical-align: middle;
        font-weight: 900;
        color: #3699FF;
        font-size: 20px;
    }

    .outline-radio-list label.radio.active-radio {
        border: solid 2px #3699FF;
    }
